package com.ruoyi.syzy.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.syzy.domain.BBusiWishUniversitiesProfession;

/**
 * 院校特色专业Mapper接口
 *
 * @author mingxue
 * @date 2022-06-22
 */
public interface BBusiWishUniversitiesProfessionMapper
{

    public List<BBusiWishUniversitiesProfession> selectListByRuleCond(Map cond);

    /**
     * 查询院校特色专业
     *
     * @param id 院校特色专业ID
     * @return 院校特色专业
     */
    public BBusiWishUniversitiesProfession selectBBusiWishUniversitiesProfessionById(String id);

    /**
     * 查询院校特色专业列表
     *
     * @param bBusiWishUniversitiesProfession 院校特色专业
     * @return 院校特色专业集合
     */
    public List<BBusiWishUniversitiesProfession> selectBBusiWishUniversitiesProfessionList(BBusiWishUniversitiesProfession bBusiWishUniversitiesProfession);
    public List<BBusiWishUniversitiesProfession> selectBBusiWishUniversitiesProfessionByCode(String collegeCode);
    public List<BBusiWishUniversitiesProfession> selectEnrollPlanProfessionByCode(Map cond);

    /**
     * 新增院校特色专业
     *
     * @param bBusiWishUniversitiesProfession 院校特色专业
     * @return 结果
     */
    public int insertBBusiWishUniversitiesProfession(BBusiWishUniversitiesProfession bBusiWishUniversitiesProfession);

    /**
     * 修改院校特色专业
     *
     * @param bBusiWishUniversitiesProfession 院校特色专业
     * @return 结果
     */
    public int updateBBusiWishUniversitiesProfession(BBusiWishUniversitiesProfession bBusiWishUniversitiesProfession);

    /**
     * 删除院校特色专业
     *
     * @param id 院校特色专业ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesProfessionById(String id);

    /**
     * 批量删除院校特色专业
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesProfessionByIds(String[] ids);
}
